@import url('https://fonts.googleapis.com/css2?family=Oxanium:wght@200..800&display=swap');

:root {
  --Snow: #FFF9FB;
  --Misty-rose: #FFE5EC;
  --Pink: #FFC2D1;
  --Cherry-blossom-pink: #FFB3C6;
  --main-bg: #FFFFFF;
  --sec-bg: #FAFAFA;
  --primary-text: #333333;
  --accent: #FFF7F7;
  --highlight: #FFEFEF;
  --bubble-border: #ff77bc;
  --bubble-shadow: #f7afd3;
  --bubble-inner: #ffaed7;
  --bubble-gloss: #ffcae5;
  --flip-front-shadow: #FFFF00;
  --flip-back-bg: #333333;
  --flip-back-text: #ffa0cf;
  --flip-back-title: #fcd2e7;
  --circle-gradient: #f7afd3;
  --circle-outline: #f7afd3;
  --circle-glow: #ffa0cf;
  --done-card: #FFFF00;
  --question-mark: #FFFF00;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;

}

.bubble {
  position: absolute;
  opacity: 0.8;
  scale: 0.4;
  width: 200px;
  height: 200px;
  border-radius: 50%;
  background-color: transparent;
  border: 4px solid var(--bubble-border);
  box-shadow: 0 0 5px var(--bubble-shadow);
  will-change: transform, opacity;
}

.inner-bubble {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  border-radius: 50%;
  opacity: 0.5;
  background-color: var(--bubble-inner);

}

/* .bubble-gloss{
    background-color: var(--bubble-gloss);
    position: absolute;
    height: 65%;
    width: 35%;
    left: 50%;
    top: -5%;
    rotate: -50deg;
    border-radius: 50%;
    opacity: 1;
}
 */

#background-wrap {
  bottom: 0;
  left: 0;
  position: fixed;
  right: 0;
  top: 0;
  z-index: -1;

}

@-webkit-keyframes slide-out-bottom {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    transition: all 0.3s ease;
    opacity: 1;
  }

  100% {
    -webkit-transform: translateY(1000px);
    transform: translateY(200px);
    transition: all 0.3s ease;
    opacity: 0;
    display: none;
  }
}

@keyframes slide-out-bottom {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    transition: all 0.3s ease;
    opacity: 1;
  }

  100% {
    -webkit-transform: translateY(1000px);
    transform: translateY(200px);
    transition: all 0.3s ease;
    opacity: 0;
    display: none;
  }
}

@keyframes EnterBlur {
  0% {
    filter: blur(0px);
  }

  100% {
    filter: blur(15px);
  }

}

@-webkit-keyframes tracking-in-expand {
  0% {
    letter-spacing: -0.5em;
    opacity: 0;
  }

  40% {
    opacity: 0.6;
  }

  100% {
    opacity: 1;
  }
}

@keyframes tracking-in-expand {
  0% {
    letter-spacing: -0.5em;
    opacity: 0;
  }

  40% {
    opacity: 0.6;
  }

  100% {
    opacity: 1;
  }
}

@-webkit-keyframes scale-in-center {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);
    opacity: 1;
  }

  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
    opacity: 1;
  }
}

@keyframes scale-in-center {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);
    opacity: 1;
  }

  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
    opacity: 1;
  }
}

@-webkit-keyframes animateBubble {
  0% {
    margin-top: 100vh;
  }

  100% {
    margin-top: 100vh;
  }
}

@-moz-keyframes animateBubble {
  0% {
    margin-top: 100vh;
  }

  100% {
    margin-top: -100vh;
  }
}

@keyframes animateBubble {
  0% {
    margin-top: 100vh;
  }

  100% {
    margin-top: -100vh;
  }
}

@-webkit-keyframes sideWays {
  0% {
    margin-left: 0px;
  }

  100% {
    margin-left: 50px;
  }
}

@-moz-keyframes sideWays {
  0% {
    margin-left: 0px;
  }

  100% {
    margin-left: 50px;
  }
}

@keyframes sideWays {
  0% {
    margin-left: 0px;
  }

  100% {
    margin-left: 50px;
  }
}

@keyframes slide-out-blurred-bottom {
  0% {
    transform: translateY(-50%) scaleY(1) scaleX(1);
    transform-origin: 50% 50%;
    filter: blur(0);
    opacity: 1;
  }

  100% {
    transform: translateY(1000px) scaleY(2) scaleX(0.2);
    transform-origin: 50% 100%;
    filter: blur(40px);
    opacity: 0;
    display: none;
  }
}

.slide-out-blurred-bottom {
  animation: slide-out-blurred-bottom .45s cubic-bezier(.755, .05, .855, .06) both !important;
}

@keyframes slide-in-elliptic-top-fwd {
  0% {
    transform: translateY(-600px) rotateX(-30deg) scale(0);
    transform-origin: 50% 100%;
    opacity: 0
  }

  100% {
    transform: translateY(0) rotateX(0) scale(1);
    transform-origin: 50% 1400px;
    opacity: 1
  }
}

.slide-in-elliptic-top-fwd {
  animation: slide-in-elliptic-top-fwd 2s cubic-bezier(.25, .46, .45, .94) both !important
}

.x1 {
  -webkit-animation: animateBubble 20s ease infinite, sideWays 2s ease-in-out infinite alternate;
  -moz-animation: animateBubble 20s ease infinite, sideWays 2s ease-in-out infinite alternate;
  animation: animateBubble 20s ease infinite, sideWays 2s ease-in-out infinite alternate;

  left: -5%;
  top: 5%;

  -webkit-transform: scale(0.6);
  -moz-transform: scale(0.6);
  transform: scale(0.6);
}

.x2 {
  -webkit-animation: animateBubble 18s ease infinite, sideWays 3s ease-in-out infinite alternate;
  -moz-animation: animateBubble 18s ease infinite, sideWays 3s ease-in-out infinite alternate;
  animation: animateBubble 18s ease infinite, sideWays 3s ease-in-out infinite alternate;

  left: 5%;
  top: 80%;

  -webkit-transform: scale(0.4);
  -moz-transform: scale(0.4);
  transform: scale(0.4);
}

.x3 {
  -webkit-animation: animateBubble 22s ease infinite, sideWays 2s ease-in-out infinite alternate;
  -moz-animation: animateBubble 22s ease infinite, sideWays 2s ease-in-out infinite alternate;
  animation: animateBubble 22s ease infinite, sideWays 2s ease-in-out infinite alternate;

  left: 10%;
  top: 40%;

  -webkit-transform: scale(0.7);
  -moz-transform: scale(0.7);
  transform: scale(0.7);
}

.x4 {
  -webkit-animation: animateBubble 19s ease infinite, sideWays 2.5s ease-in-out infinite alternate;
  -moz-animation: animateBubble 19s ease infinite, sideWays 2.5s ease-in-out infinite alternate;
  animation: animateBubble 19s ease infinite, sideWays 2.5s ease-in-out infinite alternate;

  left: 20%;
  top: 0;

  -webkit-transform: scale(0.3);
  -moz-transform: scale(0.3);
  transform: scale(0.3);
}

.x5 {
  -webkit-animation: animateBubble 23s ease infinite, sideWays 3s ease-in-out infinite alternate;
  -moz-animation: animateBubble 23s ease infinite, sideWays 3s ease-in-out infinite alternate;
  animation: animateBubble 23s ease infinite, sideWays 3s ease-in-out infinite alternate;
  left: 30%;
  top: 50%;
  -webkit-transform: scale(0.5);
  -moz-transform: scale(0.5);
  transform: scale(0.5);
}

.x6 {
  -webkit-animation: animateBubble 18s ease infinite, sideWays 2s ease-in-out infinite alternate;
  -moz-animation: animateBubble 18s ease infinite, sideWays 2s ease-in-out infinite alternate;
  animation: animateBubble 18s ease infinite, sideWays 2s ease-in-out infinite alternate;
  left: 50%;
  top: 0;
  -webkit-transform: scale(0.8);
  -moz-transform: scale(0.8);
  transform: scale(0.8);
}

.x7 {
  -webkit-animation: animateBubble 17s ease infinite, sideWays 2s ease-in-out infinite alternate;
  -moz-animation: animateBubble 17s ease infinite, sideWays 2s ease-in-out infinite alternate;
  animation: animateBubble 17s ease infinite, sideWays 2s ease-in-out infinite alternate;
  left: 65%;
  top: 70%;
  -webkit-transform: scale(0.4);
  -moz-transform: scale(0.4);
  transform: scale(0.4);
}

.x8 {
  -webkit-animation: animateBubble 19s ease infinite, sideWays 2.5s ease-in-out infinite alternate;
  -moz-animation: animateBubble 19s ease infinite, sideWays 2.5s ease-in-out infinite alternate;
  animation: animateBubble 19s ease infinite, sideWays 2.5s ease-in-out infinite alternate;
  left: 80%;
  top: 10%;
  -webkit-transform: scale(0.3);
  -moz-transform: scale(0.3);
  transform: scale(0.3);
}

.x9 {
  -webkit-animation: animateBubble 23s ease infinite, sideWays 3s ease-in-out infinite alternate;
  -moz-animation: animateBubble 23s ease infinite, sideWays 3s ease-in-out infinite alternate;
  animation: animateBubble 23s ease infinite, sideWays 3s ease-in-out infinite alternate;

  left: 90%;
  top: 50%;

  -webkit-transform: scale(0.6);
  -moz-transform: scale(0.6);
  transform: scale(0.6);
}

.x10 {
  -webkit-animation: animateBubble 20s ease infinite, sideWays 2s ease-in-out infinite alternate;
  -moz-animation: animateBubble 20s ease infinite, sideWays 2s ease-in-out infinite alternate;
  animation: animateBubble 20s ease infinite, sideWays 2s ease-in-out infinite alternate;

  left: 80%;
  top: 80%;

  -webkit-transform: scale(0.3);
  -moz-transform: scale(0.3);
  transform: scale(0.3);
}

.x11 {
  -webkit-animation: animateBubble 18s ease infinite, sideWays 2.5s ease-in-out infinite alternate;
  -moz-animation: animateBubble 18s ease infinite, sideWays 2.5s ease-in-out infinite alternate;
  animation: animateBubble 18s ease infinite, sideWays 2.5s ease-in-out infinite alternate;
  left: 15%;
  top: 60%;
  -webkit-transform: scale(0.45);
  -moz-transform: scale(0.45);
  transform: scale(0.45);
}

.x12 {
  -webkit-animation: animateBubble 22s ease infinite, sideWays 2s ease-in-out infinite alternate;
  -moz-animation: animateBubble 22s ease infinite, sideWays 2s ease-in-out infinite alternate;
  animation: animateBubble 22s ease infinite, sideWays 2s ease-in-out infinite alternate;
  left: 60%;
  top: 20%;
  -webkit-transform: scale(0.55);
  -moz-transform: scale(0.55);
  transform: scale(0.55);
}

.x13 {
  -webkit-animation: animateBubble 17s ease infinite, sideWays 3s ease-in-out infinite alternate;
  -moz-animation: animateBubble 17s ease infinite, sideWays 3s ease-in-out infinite alternate;
  animation: animateBubble 17s ease infinite, sideWays 3s ease-in-out infinite alternate;
  left: 70%;
  top: 35%;
  -webkit-transform: scale(0.35);
  -moz-transform: scale(0.35);
  transform: scale(0.35);
}

.bubble {
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;

  -webkit-box-shadow: 0 20px 30px rgba(0, 0, 0, 0.2), inset 0px 10px 30px 5px rgba(255, 255, 255, 1);
  -moz-box-shadow: 0 20px 30px rgba(0, 0, 0, 0.2), inset 0px 10px 30px 5px rgba(255, 255, 255, 1);
  box-shadow: 0 20px 30px rgba(0, 0, 0, 0.2), inset 0px 10px 30px 5px rgba(255, 255, 255, 1);

  height: 200px;
  position: absolute;
  width: 200px;
}

.bubble:after {
  background: -moz-radial-gradient(center, ellipse cover, rgba(255, 255, 255, 0.5) 0%, rgba(255, 255, 255, 0) 70%);
  background: -webkit-gradient(radial, center center, 0px, center center, 100%, color-stop(0%, rgba(255, 255, 255, 0.5)), color-stop(70%, rgba(255, 255, 255, 0)));
  background: -webkit-radial-gradient(center, ellipse cover, rgba(255, 255, 255, 0.5) 0%, rgba(255, 255, 255, 0) 70%);
  background: -o-radial-gradient(center, ellipse cover, rgba(255, 255, 255, 0.5) 0%, rgba(255, 255, 255, 0) 70%);
  background: -ms-radial-gradient(center, ellipse cover, rgba(255, 255, 255, 0.5) 0%, rgba(255, 255, 255, 0) 70%);
  background: radial-gradient(ellipse at center, rgba(255, 255, 255, 0.5) 0%, rgba(255, 255, 255, 0) 70%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#80ffffff', endColorstr='#00ffffff', GradientType=1);

  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;

  -webkit-box-shadow: inset 0 20px 30px rgba(255, 255, 255, 0.3);
  -moz-box-shadow: inset 0 20px 30px rgba(255, 255, 255, 0.3);
  box-shadow: inset 0 20px 30px rgba(255, 255, 255, 0.3);

  content: "";
  height: 180px;
  left: 10px;
  position: absolute;
  width: 180px;
}

body {
  background-color: var(--main-bg);
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: "Oxanium";
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  overflow: hidden;
  /* Fix Safari flexbox bug */
  min-height: 100vh;
}

.container {
  text-align: center;
  position: absolute;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  top: 50%;
  width: 600px;
  height: 600px;
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
  -webkit-transition: all 0.2s ease, -webkit-transform 0.6s;
  transition: all 0.2s ease, transform 0.6s;
}

.card {
  height: 520px !important;
  width: 320px !important;
  border-radius: 25px !important;
  -webkit-transition: height 3s ease, width 3s ease, border-radius 3s ease !important;
  transition: height 3s ease, width 3s ease, border-radius 3s ease !important;
}

.card:hover {
  -webkit-transform: rotateY(180deg);
  transform: rotateY(180deg);
}

.circle {
  background-color: var(--primary-text);
  height: 220px;
  width: 220px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  margin: 0 auto;
  border: none;
  -webkit-transition: -webkit-transform 0.1s ease-out, cursor 0.1s ease-out, filter 0.9s ease, outline 0.9s ease, height 5s ease, width 5s ease;
  transition: scale 0.1s ease-out, cursor 0.1s ease-out, filter 0.9s ease, outline 0.9s ease, height 5s ease, width 5s ease;
  -webkit-animation: scale-in-center 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) both, EnterBlur 0.5s ease-in-out both reverse;
  animation: scale-in-center 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) both, EnterBlur 0.5s ease-in-out both reverse;
}

.Yellow-glow {
  filter: drop-shadow(0 0 15px var(--circle-glow)) !important;
  transition: all 0.5s ease !important;
}

.Yellow-glow:hover {
  outline: 5px solid var(--circle-glow) !important;
  transition: all 0.5s ease !important;
}

.circle:hover {
  outline: 5px solid var(--circle-outline);
  -webkit-transform: scale(1.03);
  transform: scale(1.03);
  filter: drop-shadow(0 0 15px var(--circle-outline));
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
  cursor: pointer;
}

.circle:active {
  outline: none;
  filter: drop-shadow(0 0 0 #f7afd3);
  -webkit-transform: scale(0.999);
  transform: scale(0.999);
  -webkit-transition: all 0.1s ease;
  transition: all 0.1s ease;
}

.circle span {
  font-size: 120px;
  font-weight: 400;
  margin-top: 20px;
  background: -webkit-linear-gradient(top, var(--circle-gradient) 20%, var(--main-bg) 80%);
  background: linear-gradient(to top, var(--circle-gradient) 20%, var(--main-bg) 80%);
  background-size: 100% 200%;
  background-position: top;
  color: var(--circle-gradient);
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  transition: background-position 0.2s cubic-bezier(0.4, 0, 0.2, 1);
}

.circle:hover span {
  background-position: bottom;
}

.done-card {

  background: var(--done-card) !important;
  background-clip: text !important;
  -webkit-background-clip: text !important;
  -webkit-text-fill-color: transparent !important;
  transition: all 0.3s ease;
}

.title {
  margin: 0;
  padding: 0;
  position: relative;
  bottom: -200px;
  font-size: 24px;
  color: var(--primary-text);
  font-family: 'Oxanium', sans-serif;
  user-select: none;
  -webkit-animation: tracking-in-expand 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
  animation: tracking-in-expand 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

.waves {
  position: absolute;
  width: 100%;
  bottom: 0;
  min-height: 100px;
  max-height: 150px;
}

.parallax>use {
  animation: move-forever 0s cubic-bezier(.55, .5, .45, .5) infinite;
  border: #ffcae5 10px solid;
  
}

.parallax>use:nth-child(1) {
  animation-delay: -2s;
  animation-duration: 3s;
}

.parallax>use:nth-child(2) {
  animation-delay: -3s;
  animation-duration: 2s;
}

.parallax>use:nth-child(3) {
  animation-delay: -4s;
  animation-duration: 5s;
}

.parallax>use:nth-child(4) {
  animation-delay: -5s;
  animation-duration: 4s;
}

@keyframes move-forever {
  0% {
    transform: translate3d(-90px, 0, 0);
  }

  100% {
    transform: translate3d(85px, 0, 0);
  }
}

.slide-out-bottom {
  transition: all 0.3s ease;

  -webkit-animation: slide-out-bottom 0.7s cubic-bezier(0.600, -0.280, 0.735, 0.045) both;
  animation: slide-out-bottom 0.7s cubic-bezier(0.600, -0.280, 0.735, 0.045) both;
}

.flip-card {
  background-color: transparent;
  width: 320px;
  height: 520px;
  perspective: 1000px;
  position: absolute;

  top: 20%;
  display: none;
}


.flip-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  -webkit-transition: -webkit-transform 0.6s;
  transition: transform 0.6s;
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  border-radius: 25px;
}

.flip-card:hover .flip-card-inner {
  -webkit-transform: rotateY(180deg);
  transform: rotateY(180deg);
}

.flip-card.flipped .flip-card-inner {
  -webkit-transform: rotateY(180deg);
  transform: rotateY(180deg);
}

.flip-card-front,
.flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  border-radius: 25px;


}

.flip-card-front {
  background-color: var(--primary-text);
  color: black;
  filter: drop-shadow(0 0 10px var(--flip-front-shadow)) !important;
  -webkit-transition: all 0.5s ease !important;
  transition: all 0.5s ease !important;
}

.question-mark {
  font-size: 120px;
  font-weight: 400;
  color: var(--question-mark);
  -webkit-transition: background-position 0.2s cubic-bezier(0.4, 0, 0.2, 1);
  transition: background-position 0.2s cubic-bezier(0.4, 0, 0.2, 1);
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translateY(-50%) translateX(-50%);
  transform: translateY(-50%) translateX(-50%);
}

.flip-card-back {
  background-color: var(--flip-back-bg);
  color: var(--flip-back-text);

  -webkit-transform: rotateY(180deg);
  transform: rotateY(180deg);

}

.flip-card-back h1 {
  font-size: 35px;
}

.flip-card-back h1,
.flip-card-back p {
  margin-left: 20px;
  margin-right: 20px;
  margin-top: 50px;
}

.Shower-Thought {
  font-size: 21px;
  color: var(--flip-back-title);
  font-weight: 400;
  line-height: 27px;

}
.active {

}
@media (max-width: 768px) {
  .card {
    margin: 0px 10px 0px 10px;
  }

  .card:hover {
    -webkit-transform: none;
    transform: none;
  }

  .circle {
    height: 200px;
    width: 200px;
      outline: 5px solid var(--circle-outline);
  -webkit-transform: scale(1.03);
  transform: scale(1.03);
  filter: drop-shadow(0 0 15px var(--circle-outline));
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
  cursor: pointer;
  }

  .container {
    width: 100%;
  }

  .flip-card-back p {
    font-size: 18px;
  }
}

@media (max-width: 480px) {
  .card {
    margin: 0px 5px 0px 5px;
  }

  .circle {
    height: 150px;
    width: 150px;
    text-align: center;
    justify-content: center;
    align-content: center;
    display: flex;
    -webkit-align-items: center;
    -ms-align-items: center;
    align-items: center;
  }
  .qus{
    font-size: 20px;
    position: absolute;
    left: 50%;
    top: 40%;
    -webkit-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
  }
  .container {
    width: 100%;
  }

  .flip-card-back p {
    font-size: 14px;
  }
}
